# The Internet Vagabond dot com

My name is Bill Niblock. I'm a computer scientist by education, a technologist
by trade, a gamer by hobby, and a philosopher by accident. I currently live in
Buffalo, New York.

This site is a small slice of internet real-estate that I use for occasional
writing. Nothing I say is visionary or profound. I will tend to focus on
technology, gaming, and philosophy. All opinions my own.

### To-Do
* Consider self-hosting

### Latest Technology Update :: 2024-06
* After many years on GitHub, the site has moved to leverage Codeberg's static
  site server.
* As opposed to using the `gh-pages` deployment strategy, the site is now built
  and "deployed" using an action runner from my personal Forge to a Codeberg
  mirror.

### Developing Locally

The best way to develop the site locally is using a Jekyll Docker container:

```
docker run --rm \
           --volume="$PWD:/srv/jekyll:Z" \
           --publish [::1]:4000:4000 \
           jvconseil/jekyll-docker \
           jekyll serve --config _config.yml,_config.dev.yml
```

## Licenses / Copyrights/ Bureaucracy

All code is [Unlicensed](https://unlicense.org/), and all published content is
[dedicated to the public
domain](https://creativecommons.org/publicdomain/zero/1.0/), unless otherwise
noted in the individual files:

* GoatCounter Javascript (/src/scripts/goatcounter.js) licensed under the
    [ISC](https://opensource.org/licenses/ISC)

You can contact me via email at [bill at theinternetvagabond dot
com](mailto:bill@theinternetvagabond.com)
